> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Graph with nodes

> Retrieve graphs and its nodes (without configuration)



## OpenAPI

````yaml get /agent-graphs/{agentId}/nodes/lite
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent-graphs/{agentId}/nodes/lite:
    get:
      tags:
        - Agent Graph
      summary: Get Agent Graph with nodes
      description: Retrieve graphs and its nodes (without configuration)
      operationId: AgentGraphController_getAgentGraphLite
      parameters:
        - name: agentId
          required: true
          in: path
          schema:
            type: string
        - name: graphId
          required: false
          in: query
          schema:
            type: string
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Agent graph nodes retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentGraphNodesResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    AgentGraphNodesResponseDto:
      type: object
      properties:
        graphId:
          type: string
          description: Graph ID
        agentId:
          type: string
          description: Agent ID
        agentName:
          type: string
          description: Agent name
        nodes:
          description: List of graph nodes
          type: array
          items:
            $ref: '#/components/schemas/NodeLiteDto'
      required:
        - graphId
        - agentId
        - agentName
        - nodes
    NodeLiteDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the node
        objective:
          type: string
          description: Objective or purpose of the node
      required:
        - id
        - objective
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````